#ifndef _RTHANIMCNV_H
#define _RTHANIMCNV_H

/**
 * \defgroup rthanimcnv RtHAnimCnv
 * \ingroup rttool
 *
 * Conversion to RpHanim Data From RpAnim/RpSkin Data Toolkit for Renderware.
 */

#ifdef    __cplusplus
extern              "C"
{
#endif                          /* __cplusplus */

extern RpHAnimHierarchy *
RtHAnimCnvCreateHAnimHierarchy(RwFrame * pFrame);

extern RpHAnimHierarchy *
RtHAnimCnvCreateHAnimHierarchyFromSkin(RpAtomic * pSkinAtomic);

extern RpHAnimAnimation *
RtHAnimCnvSkinAnimToHAnimAnimation(RpSkinAnim *pSkinAnim);

extern RpHAnimAnimation *
RtHAnimCnvExtractAnimFromClumpSequence(RpClump * pClump,
                                       RwChar * pSequenceName);

#ifdef    __cplusplus
}
#endif                          /* __cplusplus */

#endif /* _RTHANIMCNV_H */
